#include "OutFBuf.h"

COutFBuf output;

int main(int argc, char **argv)
{
	printf("Start\n");
	
	if (output.Subscribe("Test FBuf") < B_NO_ERROR) {
		printf("Subscribe() failed\n");
		return 1;
	}
	
	int nr = 0;
	char *buf;
	do {
#ifdef VERBOSE
		output.PrintToStream();
#endif

		// please use n*BLOCK_SIZE as size for now
		// TRUE means block if fifo full
		buf = (char *)output.Alloc(BLOCK_SIZE, TRUE);

#ifdef VERBOSE
		output.PrintToStream();
#endif

		// hey! must check if Alloc() failed
		if (! buf) {
			printf("Alloc() failed\n");
			return 1;
		}

		sprintf(buf, "Message #%d\n", nr++);
		
		printf("Sending:\t%s", buf);
		output.Send(buf);

#ifdef VERBOSE
		output.PrintToStream();
#endif		
		printf("Press enter to continue\n");
	} while (getchar() == '\n');
	
	return 0;
}

	